%global momorel 12
Summary: perl-Mon
Name: perl-Mon
Version: 0.11
Release: %{momorel}m
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Mon/Mon-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Mon/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.5
BuildArch: noarch

%description
The Mon::Client Mon::Protocol Mon::SNMP module

%prep
rm -rf %{buildroot}

%setup -q -n Mon-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/Mon/.packlist

%clean
rm -rf %{buildroot}

%changelog
* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.11-12m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11-11m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.11-10m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11-9m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-8m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.11-7m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-6m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-5m)
- remove BuildPreReq: gcc2.95.3

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.11-4k)
- noarch

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.11-2k)
- create

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT README VERSION
%{_mandir}/man?/*
%{perl_sitelib}/Mon
